%define name 		ardour 
%define version		0.641.6
%define cvsdate		20030317
%define release		0.%cvsdate.1mdk

%define pixmaps_version 2.5.0

%define major		0
%define libname 	lib%name%major

Summary:   Professional multitrack audio recording application
Name: 	   %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-cvs-%cvsdate.tar.bz2
Source1:   %{name}-pixmaps-%{pixmaps_version}.tar.bz2
Source2:   %{name}.sh
Source3:   ksi.sh
# extra documentation from the Ardour Documentation Project
Source4:   %{name}-documentation.tar.bz2
Source5:   %{name}16.png
Source6:   %{name}32.png
Source7:   %{name}48.png
URL:       http://%{name}.sourceforge.net/
Group:     Sound
License:   GPL
BuildRoot: %{_tmppath}/%{name}-buildroot

Requires:	%libname >= %version, ardour-pixmaps
Requires:	jackit
BuildRequires: 	libalsa-devel gdbm-devel libgtk+1.2-devel libjack-devel
BuildRequires:	libsndfile-devel libsamplerate-devel ladspa-devel
BuildRequires: 	autoconf2.5 flex bison
BuildRequires: 	gettext-devel pkgconfig
BuildRequires: 	tetex-latex ncurses-devel tetex-dvips
BuildRequires:	liblrdf-devel libraptor-devel

%description
Ardour is a multichannel hard disk recorder. It is capable of recording 24
or more channels of 32 bit audio at 48kHz. Ardour is intended to function
as a "profesional" HDR system, replacing dedicated hardware solutions such
as the Mackie HDR, the Tascan 2424 and more traditional tape systems like
the Alesis ADAT series. It supports MIDI Machine Control, and so can be
controlled from any MMC controller, such as the Mackie Digital 8 Bus mixer
and many other modern digital mixers.

You MUST have jack running and an ALSA sound driver to use ardour.

ksi is a curses-based interface to the Ardour engine that
allows you to use your ALSA audio interface as a powerful,
real-time multichannel mixer. ksi uses a key assignment
designed by Frank Carmickle that is incredibly ergonomic and easy to
use. It uses the keyboard to provide 10 channels worth of control at a
time, with other channels just a keypress away. ksi allows the
addition, editing and removal of LADPSA plugins to each channel, as
well as the usual mute/solo/pan/gain controls. 

remote_kbd is a utility used by ksi to put the X keyboard in raw mode,
i.e., CTRL-i is no longer the same as TAB
It is used by ksi.

%package -n %libname
Summary:  Dynamic libraries for Ardour
Group:    System/Libraries

%description -n %libname
Dynamic libraries for Ardour

%package -n %libname-devel
Summary:  Header files from Ardour
Group:    Development/C
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %libname-devel
Header files from Ardour

%package   pixmaps
Summary:   Ardour pixmaps
Version:   %pixmaps_version
Group:     Sound
Conflicts: ardour-pixmaps-custom

%description pixmaps
Ardour default user interface.

These are the author's original pixmaps.  They are replaceable, but only one
set can be installed at any time.

%prep
%setup -q -n %{name}
%setup -T -D -c -n %{name} -a 1 -a 4

%build
export PATH="`pwd`:$PATH"
# autogen done before tarballing; this is wrong; don't do it
#./autogen.sh
%configure
%make
# build pdf manual
cd manual
make
make pdf
cd ..

# set pixmaps dir
perl -p -i -e 's/usr\/local\/music\/src/usr\/share/g' ardour.rc ardour_system.rc

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# make share directory
mkdir -p $RPM_BUILD_ROOT%_datadir/ardour

# move executables to proper place
mv $RPM_BUILD_ROOT%{_libdir}/ardour/ardourx $RPM_BUILD_ROOT%{_bindir}/ardourx
mv $RPM_BUILD_ROOT%{_libdir}/ardour/ksix $RPM_BUILD_ROOT%{_bindir}/ksix

# replace crappy wrappers
rm $RPM_BUILD_ROOT%{_bindir}/ardour
rm $RPM_BUILD_ROOT%{_bindir}/ksi
cp %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/ardour
cp %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/ksi
chmod 755 $RPM_BUILD_ROOT%{_bindir}/ardour $RPM_BUILD_ROOT%{_bindir}/ksi

# install these files
cp gtk_ardour/ard{bg,ev} $RPM_BUILD_ROOT%_datadir/ardour/

# install RC files
cp ardour{.rc,_system.rc,_ui.rc} $RPM_BUILD_ROOT%_datadir/ardour/

# install pixmaps
mkdir -p $RPM_BUILD_ROOT%_datadir/ardour/pixmaps/
cp *.xpm $RPM_BUILD_ROOT%_datadir/ardour/pixmaps/
  
#install (some) headers
mkdir -p $RPM_BUILD_ROOT/%_includedir/%name
cp libs/ardour/ardour/*.h $RPM_BUILD_ROOT/%_includedir/%name

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Sound" \
title="Ardour" \
longtitle="Digital Audio Workstation" \
command="/usr/bin/ardour" \
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
cat %{SOURCE5} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cat %{SOURCE6} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cat %{SOURCE7} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post -n ardour
%{update_menus}
mkdir -p /tape{1,2}
chmod 777 /tape1 /tape2

%postun -n ardour
%{clean_menus}
rm -fr /tape{1,2}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL ChangeLog README TODO ardour_faq.txt
%doc manual/*.tex manual/*.sty manual/*.pdf
%doc ardour-documentation
%{_bindir}/ardour
%{_bindir}/ardourx
%{_bindir}/ksi
%{_bindir}/ksix
%{_bindir}/remote_kbd
%_datadir/ardour/ardour.rc
%_datadir/ardour/ardour_system.rc
%_datadir/ardour/ardbg
%_datadir/ardour/ardev
%_datadir/locale/*/LC_MESSAGES/gtk-ardour.mo
%{_mandir}/man1/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/ardour/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/ardour/*.la
%{_includedir}/ardour/*.h

%files pixmaps
%defattr(-,root,root)
%{_datadir}/ardour/ardour_ui.rc
%{_datadir}/ardour/pixmaps/*

%changelog
* Mon Mar 17 2003 Austin Acton <aacton@yorku.ca> 0.641.6-0.20030317.1mdk
- bugfix snapshot

* Sun Mar 2 2003 Austin Acton <aacton@yorku.ca> 0.641.2-0.20030302.1mdk
- latest cvs snapshot
- run autogen.sh before tarballing to save Lenny a headache

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.640.0-0.20030219.1mdk
- export ladspa path
- tape macros (wanted ~/tape1:~/tape2, but ardour can't resolve "~")
- new cvs snapshot
- add more buildrequires (raptor, gettext-devel)

* Wed Feb 5 2003 Austin Acton <aacton@yorku.ca> 0.623.0-0.20030210.1mdk
- use parts of specfile from Torbjorn Turpeinen <tobbe@nyvalls.se>
- Mandrakize, de-lint, simplify, and update for Mandrake 9.1
